import java.awt.*;
import java.awt.event.*;
import java.lang.Math;
public class MultiInteg extends Frame
{  public double Pi=3.1415926535897932385;
   public int ID1, ID2;public double ER;
   public double LeftP, TopP, sX, sY;
   public double currentX, currentY; // ݂̕`ʒu
   public MultiInteg()
   {  setSize(1100,700);
      addWindowListener(new WindowAdapter()
      { public void windowClosing(WindowEvent e){System.exit(0);}
      });
   }
   
   public void drawInit(double X1, double Y1, double SX, double SY)
   {  LeftP = X1; TopP = Y1; sX = SX; sY = SY;
   }
   public int Xpos(double X)
   {  return (int)(LeftP + X * sX);}
   public int Ypos(double Y)
   {  return (int)(TopP  + Y * sY);}
   public void drawLine(Graphics g, double X1, double Y1, double X2, double Y2)
   {  g.drawLine(Xpos(X1),Ypos(Y1),Xpos(X2),Ypos(Y2));
   }
   public void drawPoint(Graphics g, double X, double Y)
   {  g.fillOval(Xpos(X)-2,Ypos(Y)-2,4,4);
   }
   public void drawCircle(Graphics g, double X, double Y)
   {  g.drawOval(Xpos(X)-2,Ypos(Y)-2,4,4);
   }
   public void drawRect(Graphics g, double X, double Y)
   {  g.drawRect(Xpos(X)-2,Ypos(Y)-2,4,4);
   }
   public boolean Draw(Graphics g, double X, double Y, boolean Flag)
   {  if(Flag) drawLine(g, currentX, currentY, X, Y);
      currentX = X; currentY = Y;
      return true;
   }
   private double round(double D,int N)
   {  double DN=10*Math.pow(10.0,(double)(N-1));
      return Math.rint(D*DN)/DN;
   }
   private double MaxValue(double[][][]U, int KX,int KY)
   {  double V = U[0][0][0];int i,j,k;
      for(k = 0; k < 2; k++) for(i = 0; i < KX; i++)
          for(j = 0; j < KY; j++) if(U[k][i][j]>V) V= U[k][i][j];
      return V;
   }
   private double MinValue(double[][][]U, int KX,int KY)
   {  double V = U[0][0][0];int i,j,k;
      for(k = 0; k < 2; k++) for(i = 0; i < KX; i++)
          for(j = 0; j < KY; j++) if(U[k][i][j]<V) V= U[k][i][j];
      return V;
   }
   public double F(double P, double Q, double R)
   { return 6 * (2 * P + 1) * (3 * Q - 1) * R;
   }

   public void paint(Graphics g)
   { setTitle("ɂdϕ");
     drawInit(50, 1250, 0.08, -300);
     g.setColor(new Color(128,128,128));
     for(int i=0;i<=10000; i +=200) drawLine(g,i,2, i,4);
     for(double Y=2;Y<4.05; Y += 0.1)
     { drawLine(g,0,Y, 10000,Y);
       g.drawString(""+ round(Y,1),Xpos(-300),Ypos(Y-0.02));
     }
     g.setColor(new Color(0,125,0));
     drawLine(g,0,3, 10000,3);
     
     g.setColor(new Color(255,0,0));
     double V = 0;boolean Flag=false;
     for(int i = 1;i<=10000; i++)
     {  double P = Math.random();
        double Q = Math.random();
        double R = Math.random();
        V += F(P,Q,R);
        Flag=Draw(g, i,(V / i),Flag);
     }
   } 
   public static void main(String[] args)
   {  Frame w = new MultiInteg();
      w.setVisible(true);
   }
}
